Package org.apache.tapestry5.internal.services.ajax

## Class AjaxFormUpdateFilter

- java.lang.Object
- - org.apache.tapestry5.internal.services.ajax.AjaxFormUpdateFilter

- All Implemented Interfaces:
    `ComponentEventRequestFilter`

      public class AjaxFormUpdateFilter
      extends java.lang.Object
      implements ComponentEventRequestFilter

  Filter for the `Ajax` `ComponentEventRequestHandler` that informs the `AjaxFormUpdateController` about the form's client id and component id. Partial renders work with the AjaxFormUpdateController to ensure that the Form data, if any, is collected and rendered as part of the response.
  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AjaxFormUpdateFilter​(Request request, AjaxFormUpdateController ajaxFormUpdateController)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(ComponentEventRequestParameters parameters, ComponentEventRequestHandler handler)` | Filter for a component action request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxFormUpdateFilter

          public AjaxFormUpdateFilter​(Request request,
                                      AjaxFormUpdateController ajaxFormUpdateController)

  - ### Method Detail

    - #### handle

          public void handle​(ComponentEventRequestParameters parameters,
                             ComponentEventRequestHandler handler)
                      throws java.io.IOException

      Description copied from interface: `ComponentEventRequestFilter`
      Filter for a component action request.
      Specified by:
        `handle` in interface `ComponentEventRequestFilter`
      Parameters:
        `parameters` - defining details of the request
        `handler` - to delegate to
      Throws:
        `java.io.IOException`